package au.asn.ucc.ticker;

/**
 *
 * $Id: PriorityEnum.java 22 2009-11-17 13:01:15Z rvvs89 $
 * @author rvvs89
 */
public enum PriorityEnum {

    /**
     * Tickers showing this priority will never be shown.
     */
    DISABLED,
    /**
     * Tickers showing this priority will only be shown if there is no Ticker
     * with NORMAL priority ready to show.
     */
    BELOW_NORMAL,
    /**
     * Some regular content that has not chaged since last shown.
     */
    NORMAL,
    /**
     * Some regular content that has changed since last shown.
     */
    ABOVE_NORMAL,
    /**
     * Some unusual dynamic content.
     */
    HIGH,
    /**
     * Useful for Tickers that are easter eggs that want to temporarily have
     * very high priority.
     */
    VERY_HIGH,
    /**
     * Content that has been requested to be shown above all else, eg, TV.
     */
    OVERRIDE;
}
