package au.asn.ucc.ticker.impl;

import au.asn.ucc.ticker.PriorityEnum;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.image.BufferedImage;
import java.net.URL;
import javax.swing.ImageIcon;

/**
 * 
 * $Id: SimpleImageTicker.java 34 2009-12-29 19:28:44Z rvvs89 $
 * @author rvvs89
 */
public class SimpleImageTicker extends SimpleTicker {

    private Image image;
    private BufferedImage buffer;

    public SimpleImageTicker(final String name, final URL location, final PriorityEnum priority, final long timeout) {
        super(name, priority, timeout);
        ImageIcon tmp = new ImageIcon(location);
        image = tmp.getImage();
    }

    public SimpleImageTicker(final String name, final String location, final PriorityEnum priority, final long timeout) {
        super(name, priority, timeout);
        ImageIcon tmp = new ImageIcon(location);
        image = tmp.getImage();
    }

    public SimpleImageTicker(final String name, final Image image, final PriorityEnum priority, final long timeout) {
        super(name, priority, timeout);
        this.image = image;
    }

    @Override
    protected final Image render() {
        Dimension dim = getDimension();
        if (buffer == null || buffer.getWidth() != dim.width || buffer.getHeight() != dim.height) {
            buffer = new BufferedImage(dim.width, dim.height, BufferedImage.TYPE_INT_RGB);
            Graphics g = buffer.getGraphics();
            g.setColor(Color.WHITE);
            g.fillRect(0, 0, buffer.getWidth(), buffer.getHeight());
            g.drawImage(image, 0, 0, dim.width, dim.height, Color.WHITE, null);
            g.dispose();
            // FIXME: maintain the correct aspect ratio.
        }
        return buffer;
    }
}
