package au.asn.ucc.ticker.impl;

import au.asn.ucc.ticker.PriorityEnum;
import au.asn.ucc.ticker.Ticker;

/**
 * Enumeration of instances of Tickers to load by default.
 * TODO: replace this with a ServiceLoader style architecture like netbeans' module architecture.
 * $Id: TickerEnum.java 38 2010-01-20 12:02:15Z rvvs89 $
 * @author rvvs89
 */
public enum TickerEnum {

    ROBOTNIK(new MPDTicker("robotnik.ucc.gu.uwa.edu.au")),
    TEST1(new SimpleImageTicker("test1", TickerEnum.class.getResource("/test1.png"), PriorityEnum.NORMAL, 3000)),
    TEST2(new SimpleImageTicker("test2", TickerEnum.class.getResource("/test2.png"), PriorityEnum.NORMAL, 3000)),
    TEST3(new SimpleImageTicker("test3", TickerEnum.class.getResource("/test3.png"), PriorityEnum.NORMAL, 3000));
    private Ticker ticker;

    private TickerEnum(final Ticker ticker) {
        this.ticker = ticker;
    }

    public Ticker getTicker() {
        return ticker;
    }
}
